[package]
name = "survey"
version = "0.1.0"
description = "Feedback agregator"
homepage = "https://github.com/mCaptcha/survey"
repository = "https://github.com/mCaptcha/survey"
documentation = "https://github.con/mCaptcha/survey"
readme = "https://github.com/mCaptcha/survey/blob/master/README.md"
license = "AGPLv3 or later version"
authors = ["realaravinth <realaravinth@batsense.net>"]
edition = "2021"
default-run = "survey"
build = "build.rs"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html
[[bin]]
name = "survey"
path = "./src/main.rs"

[[bin]]
name = "tests-migrate"
path = "./src/tests-migrate.rs"

[dependencies]
actix-web = "4.3"
actix-identity = "0.4.0"
actix-session = { version = "0.6.1", features = ["cookie-session"]}
actix-http = "3.0.4"
actix-rt = "2"
actix-cors = "0.6.1"
actix-files = "0.6.0"
actix-service = "2.0.0"
#actix = "0.12"
actix-web-codegen-const-routes = "0.2.0"

#libmcaptcha = { branch = "master", git = "https://github.com/mCaptcha/libmcaptcha", features = ["full"] }

futures = "0.3.15"

sqlx = { version = "0.7", features = [ "runtime-tokio-rustls", "postgres", "time", "uuid" ] }

#argon2-creds = "0.2.3"
argon2-creds = { branch = "master", git = "https://github.com/realaravinth/argon2-creds"}

derive_builder = "0.11"
validator = { version = "0.14", features = ["derive"]}
derive_more = "0.99"

config = "0.13"

serde = "1"
serde_json = "1"

pretty_env_logger = "0.5"
log = "0.4"

lazy_static = "1.4"
url = { version = "2.2", features = ["serde"] }
urlencoding = "2.1.0"

rand = "0.8"
uuid = { version = "1.4.1", features = ["v4", "serde"] }

mime_guess = "2.0.3"
rust-embed = "6.0.0"
#libcachebust = "0.3.0"
cache-buster = { git = "https://github.com/realaravinth/cache-buster" }
mime = "0.3.16"

#sailfish = "0.3.2"
tracing = { version = "0.1.37", features = ["log"] }
tera = { version="1.17.1", features=["builtins"]}
tokio = { version = "1.25.0", features = ["fs", "macros"] }
csv-async = { version = "1.2.5", features = ["serde", "tokio"] }
async-trait = "0.1.68"
reqwest = { version = "0.11.18", features = ["json", "gzip"] }

#tokio = "1.11.0"

[dependencies.actix-auth-middleware]
branch = "v4"
features = ["actix_identity_backend"]
git = "https://github.com/realaravinth/actix-auth-middleware"
version = "0.2"


[build-dependencies]
#serde_yaml = "0.8.17"
sqlx = { version = "0.7", features = [ "runtime-tokio-rustls", "uuid", "postgres", "time"] }
serde_json = "1"
cache-buster = { version = "0.2.0", git = "https://github.com/realaravinth/cache-buster" }
mime = "0.3.16"

[dev-dependencies]
mktemp = "0.5.0"
